DefaultBeanConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class DefaultBeanConfiguration

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.commons.spring.DefaultBeanConfiguration

All Implemented Interfaces:
  BeanConfiguration

    public class DefaultBeanConfiguration
    extends groovy.lang.GroovyObjectSupport

Default implementation of the BeanConfiguration interface . Credit must go to Solomon Duskis and the article: http://jroller.com/page/Solomon?entry=programmatic_configuration_in_spring

Authors:
  Graeme

Since:
  0.3

Constructor Summary
`DefaultBeanConfiguration(java.lang.String name, java.lang.Class clazz)`
`DefaultBeanConfiguration(java.lang.String name, java.lang.Class clazz, boolean prototype)`
`DefaultBeanConfiguration(java.lang.String name)`
`DefaultBeanConfiguration(java.lang.Class clazz2)`
`DefaultBeanConfiguration(java.lang.String name2, java.lang.Class clazz2, java.util.Collection args)`
`DefaultBeanConfiguration(java.lang.String name2, boolean prototype)`
`DefaultBeanConfiguration(java.lang.Class clazz2, java.util.Collection constructorArguments)`

Method Summary
`BeanConfiguration` | `addProperty(java.lang.String propertyName, java.lang.Object propertyValue)`
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `createBeanDefinition()`
`org.springframework.beans.factory.support.AbstractBeanDefinition` | `getBeanDefinition()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `getPropertyValue(java.lang.String propName)`
`boolean` | `hasProperty(java.lang.String propName)`
`boolean` | `isSingleton()`
`BeanConfiguration` | `setAbstract(boolean isAbstract)`
`BeanConfiguration` | `setAutowire(java.lang.String type)`
`void` | `setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)`
`BeanConfiguration` | `setDependsOn(java.lang.String[] dependsOn)`
`BeanConfiguration` | `setDestroyMethod(java.lang.String methodName)`
`BeanConfiguration` | `setFactoryBean(java.lang.String beanName)`
`BeanConfiguration` | `setFactoryMethod(java.lang.String methodName)`
`void` | `setName(java.lang.String beanName)`
`void` | `setParent(java.lang.Object obj)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`void` | `setPropertyValue(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.String name, java.lang.Class clazz)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.String name, java.lang.Class clazz, boolean prototype)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.String name)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.Class clazz2)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.String name2, java.lang.Class clazz2, java.util.Collection args)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.String name2, boolean prototype)

### DefaultBeanConfiguration

    public DefaultBeanConfiguration(java.lang.Class clazz2, java.util.Collection constructorArguments)

Method Detail

### addProperty

    public BeanConfiguration addProperty(java.lang.String propertyName, java.lang.Object propertyValue)

### createBeanDefinition

    protected org.springframework.beans.factory.support.AbstractBeanDefinition createBeanDefinition()

### getBeanDefinition

    public org.springframework.beans.factory.support.AbstractBeanDefinition getBeanDefinition()

### getName

    public java.lang.String getName()

### getProperty

    @java.lang.Override
    public java.lang.Object getProperty(java.lang.String property)

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String propName)

### hasProperty

    public boolean hasProperty(java.lang.String propName)

### isSingleton

    public boolean isSingleton()

### setAbstract

    public BeanConfiguration setAbstract(boolean isAbstract)

### setAutowire

    public BeanConfiguration setAutowire(java.lang.String type)

### setBeanDefinition

    public void setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)

### setDependsOn

    public BeanConfiguration setDependsOn(java.lang.String[] dependsOn)

### setDestroyMethod

    public BeanConfiguration setDestroyMethod(java.lang.String methodName)

### setFactoryBean

    public BeanConfiguration setFactoryBean(java.lang.String beanName)

### setFactoryMethod

    public BeanConfiguration setFactoryMethod(java.lang.String methodName)

### setName

    public void setName(java.lang.String beanName)

### setParent

    public void setParent(java.lang.Object obj)

### setProperty

    @java.lang.Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String property, java.lang.Object newValue)

Groovy Documentation